| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxTimerRunner Class Reference

`#include <wx/timer.h>`

## Detailed Description

Starts the timer in its ctor, stops in the dtor.

## Public Member Functions

| wxTimerRunner (wxTimer &timer)
| wxTimerRunner (wxTimer &timer, int milli, bool oneShot=false)
void | Start (int milli, bool oneShot=false)
| ~wxTimerRunner ()

## Constructor & Destructor Documentation

wxTimerRunner::wxTimerRunner | ( | wxTimer & | timer | ) |

wxTimerRunner::wxTimerRunner | ( | wxTimer & | timer,
|  | int | milli,
|  | bool | oneShot = `false`
| ) |  |

wxTimerRunner::~wxTimerRunner | ( |  | ) |

## Member Function Documentation

void wxTimerRunner::Start | ( | int | milli,
|  | bool | oneShot = `false`
| ) |  |